- libbson 1.13.1 »
- API Reference »
- bson_oid_t

# bson_oid_compare()

## Synopsis

    int
    bson_oid_compare (const bson_oid_t *oid1, const bson_oid_t *oid2);

## Parameters

- `oid1`: A bson_oid_t.
- `oid2`: A bson_oid_t.

## Description

The bson_oid_compare() function shall return a qsort() style value of a lexicographical sort of _oid1_ and _oid2_.

## Returns

less than 0, 0, or greater than 0 based on the comparison.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.